# Class AttachPermission

java.lang.Object
java.security.Permission
java.security.BasicPermission
com.sun.tools.attach.AttachPermission

All Implemented Interfaces:
  `Serializable, Guard`

@Deprecated(since="25", forRemoval=true) public final class AttachPermission extends BasicPermission
Deprecated, for removal: This API element is subject to removal in a future version.
This class was only useful in conjunction with the Security Manager, which is no longer supported. There is no replacement for this class.
An `AttachPermission` object contains a name (also referred to as a "target name") but no actions list; you either have the named permission or you don't.

API Note:
  This permission cannot be used for controlling access to resources as the Security Manager is no longer supported. Consequently this class is deprecated for removal in a future release.
Since:
  1.6
See Also:
  - `VirtualMachine`
  - `AttachProvider`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AttachPermission(String name)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Constructs a new AttachPermission object.
  `AttachPermission(String name, String actions)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Constructs a new AttachPermission object.

- ## Method Summary

  ### Methods declared in class BasicPermission

  `equals, getActions, hashCode, implies, newPermissionCollection`

  ### Methods declared in class Permission

  `checkGuard, getName, toString`

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AttachPermission

    public AttachPermission(String name)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Constructs a new AttachPermission object.
    Parameters:
      `name` - Permission name. Must be either "attachVirtualMachine", or "createAttachProvider".
    Throws:
      `NullPointerException` - if name is `null`.
      `IllegalArgumentException` - if the name is invalid.

  - ### AttachPermission

    public AttachPermission(String name, String actions)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Constructs a new AttachPermission object.
    Parameters:
      `name` - Permission name. Must be either "attachVirtualMachine", or "createAttachProvider".
      `actions` - Not used and should be `null`, or the empty string.
    Throws:
      `NullPointerException` - if name is `null`.
      `IllegalArgumentException` - if arguments are invalid.